part of '../auth.dart';

abstract class IAuthRepository {
  Future<Either<AuthFailure, CheckPhone>> checkPhone({
    required String phoneNumber,
  });

  Future<Either<AuthFailure, Register>> register({
    required String phoneNumber,
    required String name,
    required DateTime birthDate,
  });
}
